require 'builder'

module SMSWSC
  XmlOptions = {
    :version => "1.0",
    :encoding => "UTF-8",
    :indent => 0,
  }

  def self.new_builder(xml)
    builder = Builder::XmlMarkup.new(
      :target => xml,
      :indent => SMSWSC::XmlOptions[:indent]
    )
    builder.instruct!(
      :xml,
      :version => SMSWSC::XmlOptions[:version],
      :encoding => SMSWSC::XmlOptions[:encoding]
    )

    return builder
  end
end
